Index: src/wp-content/themes/twentyeleven/functions.php
===================================================================
--- src/wp-content/themes/twentyeleven/functions.php	(revision 40901)
+++ src/wp-content/themes/twentyeleven/functions.php	(working copy)
@@ -39,16 +39,17 @@
  */
 
 // Set the content width based on the theme's design and stylesheet.
-if ( ! isset( $content_width ) )
+if ( ! isset( $content_width ) ) {
 	$content_width = 584;
+}
 
 /*
  * Tell WordPress to run twentyeleven_setup() when the 'after_setup_theme' hook is run.
  */
 add_action( 'after_setup_theme', 'twentyeleven_setup' );
 
-if ( ! function_exists( 'twentyeleven_setup' ) ):
-/**
+if ( ! function_exists( 'twentyeleven_setup' ) ) :
+	/**
  * Set up theme defaults and registers support for various WordPress features.
  *
  * Note that this function is hooked into the after_setup_theme hook, which runs
@@ -68,187 +69,188 @@
  *
  * @since Twenty Eleven 1.0
  */
-function twentyeleven_setup() {
-
-	/*
-	 * Make Twenty Eleven available for translation.
-	 * Translations can be added to the /languages/ directory.
-	 * If you're building a theme based on Twenty Eleven, use
-	 * a find and replace to change 'twentyeleven' to the name
-	 * of your theme in all the template files.
-	 */
-	load_theme_textdomain( 'twentyeleven', get_template_directory() . '/languages' );
-
-	// This theme styles the visual editor with editor-style.css to match the theme style.
-	add_editor_style();
-
-	// Load up our theme options page and related code.
-	require( get_template_directory() . '/inc/theme-options.php' );
-
-	// Grab Twenty Eleven's Ephemera widget.
-	require( get_template_directory() . '/inc/widgets.php' );
-
-	// Add default posts and comments RSS feed links to <head>.
-	add_theme_support( 'automatic-feed-links' );
-
-	// This theme uses wp_nav_menu() in one location.
-	register_nav_menu( 'primary', __( 'Primary Menu', 'twentyeleven' ) );
-
-	// Add support for a variety of post formats
-	add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
-
-	$theme_options = twentyeleven_get_theme_options();
-	if ( 'dark' == $theme_options['color_scheme'] )
-		$default_background_color = '1d1d1d';
-	else
-		$default_background_color = 'e2e2e2';
+	function twentyeleven_setup() {
 
-	// Add support for custom backgrounds.
-	add_theme_support( 'custom-background', array(
 		/*
-		 * Let WordPress know what our default background color is.
-		 * This is dependent on our current color scheme.
+		 * Make Twenty Eleven available for translation.
+		 * Translations can be added to the /languages/ directory.
+		 * If you're building a theme based on Twenty Eleven, use
+		 * a find and replace to change 'twentyeleven' to the name
+		 * of your theme in all the template files.
 		 */
-		'default-color' => $default_background_color,
-	) );
+		load_theme_textdomain( 'twentyeleven', get_template_directory() . '/languages' );
+
+		// This theme styles the visual editor with editor-style.css to match the theme style.
+		add_editor_style();
+
+		// Load up our theme options page and related code.
+		require( get_template_directory() . '/inc/theme-options.php' );
 
-	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
-	add_theme_support( 'post-thumbnails' );
+		// Grab Twenty Eleven's Ephemera widget.
+		require( get_template_directory() . '/inc/widgets.php' );
+
+		// Add default posts and comments RSS feed links to <head>.
+		add_theme_support( 'automatic-feed-links' );
+
+		// This theme uses wp_nav_menu() in one location.
+		register_nav_menu( 'primary', __( 'Primary Menu', 'twentyeleven' ) );
+
+		// Add support for a variety of post formats
+		add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );
+
+		$theme_options = twentyeleven_get_theme_options();
+		if ( 'dark' == $theme_options['color_scheme'] ) {
+			$default_background_color = '1d1d1d';
+		} else { $default_background_color = 'e2e2e2';
+		}
 
-	// Add support for custom headers.
-	$custom_header_support = array(
-		// The default header text color.
-		'default-text-color' => '000',
-		// The height and width of our custom header.
-		/**
+		// Add support for custom backgrounds.
+		add_theme_support( 'custom-background', array(
+			/*
+            * Let WordPress know what our default background color is.
+            * This is dependent on our current color scheme.
+            */
+			'default-color' => $default_background_color,
+		) );
+
+			// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
+			add_theme_support( 'post-thumbnails' );
+
+			// Add support for custom headers.
+			$custom_header_support = array(
+			// The default header text color.
+			'default-text-color' => '000',
+			// The height and width of our custom header.
+			/**
 		 * Filter the Twenty Eleven default header image width.
 		 *
 		 * @since Twenty Eleven 1.0
 		 *
 		 * @param int The default header image width in pixels. Default 1000.
 		 */
-		'width' => apply_filters( 'twentyeleven_header_image_width', 1000 ),
-		/**
+			'width' => apply_filters( 'twentyeleven_header_image_width', 1000 ),
+			/**
 		 * Filter the Twenty Eleven default header image height.
 		 *
 		 * @since Twenty Eleven 1.0
 		 *
 		 * @param int The default header image height in pixels. Default 288.
 		 */
-		'height' => apply_filters( 'twentyeleven_header_image_height', 288 ),
-		// Support flexible heights.
-		'flex-height' => true,
-		// Random image rotation by default.
-		'random-default' => true,
-		// Callback for styling the header.
-		'wp-head-callback' => 'twentyeleven_header_style',
-		// Callback for styling the header preview in the admin.
-		'admin-head-callback' => 'twentyeleven_admin_header_style',
-		// Callback used to display the header preview in the admin.
-		'admin-preview-callback' => 'twentyeleven_admin_header_image',
-	);
-
-	add_theme_support( 'custom-header', $custom_header_support );
-
-	if ( ! function_exists( 'get_custom_header' ) ) {
-		// This is all for compatibility with versions of WordPress prior to 3.4.
-		define( 'HEADER_TEXTCOLOR', $custom_header_support['default-text-color'] );
-		define( 'HEADER_IMAGE', '' );
-		define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
-		define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
-		add_custom_image_header( $custom_header_support['wp-head-callback'], $custom_header_support['admin-head-callback'], $custom_header_support['admin-preview-callback'] );
-		add_custom_background();
-	}
-
-	/*
-	 * We'll be using post thumbnails for custom header images on posts and pages.
-	 * We want them to be the size of the header image that we just defined.
-	 * Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
-	 */
-	set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
-
-	/*
-	 * Add Twenty Eleven's custom image sizes.
-	 * Used for large feature (header) images.
-	 */
-	add_image_size( 'large-feature', $custom_header_support['width'], $custom_header_support['height'], true );
-	// Used for featured posts if a large-feature doesn't exist.
-	add_image_size( 'small-feature', 500, 300 );
-
-	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
-	register_default_headers( array(
-		'wheel' => array(
-			'url' => '%s/images/headers/wheel.jpg',
-			'thumbnail_url' => '%s/images/headers/wheel-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Wheel', 'twentyeleven' )
-		),
-		'shore' => array(
-			'url' => '%s/images/headers/shore.jpg',
-			'thumbnail_url' => '%s/images/headers/shore-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Shore', 'twentyeleven' )
-		),
-		'trolley' => array(
-			'url' => '%s/images/headers/trolley.jpg',
-			'thumbnail_url' => '%s/images/headers/trolley-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Trolley', 'twentyeleven' )
-		),
-		'pine-cone' => array(
-			'url' => '%s/images/headers/pine-cone.jpg',
-			'thumbnail_url' => '%s/images/headers/pine-cone-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Pine Cone', 'twentyeleven' )
-		),
-		'chessboard' => array(
-			'url' => '%s/images/headers/chessboard.jpg',
-			'thumbnail_url' => '%s/images/headers/chessboard-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Chessboard', 'twentyeleven' )
-		),
-		'lanterns' => array(
-			'url' => '%s/images/headers/lanterns.jpg',
-			'thumbnail_url' => '%s/images/headers/lanterns-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Lanterns', 'twentyeleven' )
-		),
-		'willow' => array(
-			'url' => '%s/images/headers/willow.jpg',
-			'thumbnail_url' => '%s/images/headers/willow-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Willow', 'twentyeleven' )
-		),
-		'hanoi' => array(
-			'url' => '%s/images/headers/hanoi.jpg',
-			'thumbnail_url' => '%s/images/headers/hanoi-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Hanoi Plant', 'twentyeleven' )
-		)
-	) );
+			'height' => apply_filters( 'twentyeleven_header_image_height', 288 ),
+			// Support flexible heights.
+			'flex-height' => true,
+			// Random image rotation by default.
+			'random-default' => true,
+			// Callback for styling the header.
+			'wp-head-callback' => 'twentyeleven_header_style',
+			// Callback for styling the header preview in the admin.
+			'admin-head-callback' => 'twentyeleven_admin_header_style',
+			// Callback used to display the header preview in the admin.
+			'admin-preview-callback' => 'twentyeleven_admin_header_image',
+			);
+
+			add_theme_support( 'custom-header', $custom_header_support );
+
+		if ( ! function_exists( 'get_custom_header' ) ) {
+			// This is all for compatibility with versions of WordPress prior to 3.4.
+			define( 'HEADER_TEXTCOLOR', $custom_header_support['default-text-color'] );
+			define( 'HEADER_IMAGE', '' );
+			define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
+			define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
+			add_custom_image_header( $custom_header_support['wp-head-callback'], $custom_header_support['admin-head-callback'], $custom_header_support['admin-preview-callback'] );
+			add_custom_background();
+		}
 
-	// Indicate widget sidebars can use selective refresh in the Customizer.
-	add_theme_support( 'customize-selective-refresh-widgets' );
-}
+			/*
+			 * We'll be using post thumbnails for custom header images on posts and pages.
+			 * We want them to be the size of the header image that we just defined.
+			 * Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
+			 */
+			set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
+
+			/*
+			 * Add Twenty Eleven's custom image sizes.
+			 * Used for large feature (header) images.
+			 */
+			add_image_size( 'large-feature', $custom_header_support['width'], $custom_header_support['height'], true );
+			// Used for featured posts if a large-feature doesn't exist.
+			add_image_size( 'small-feature', 500, 300 );
+
+			// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
+			register_default_headers( array(
+				'wheel' => array(
+				'url' => '%s/images/headers/wheel.jpg',
+				'thumbnail_url' => '%s/images/headers/wheel-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Wheel', 'twentyeleven' ),
+				),
+				'shore' => array(
+				'url' => '%s/images/headers/shore.jpg',
+				'thumbnail_url' => '%s/images/headers/shore-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Shore', 'twentyeleven' ),
+				),
+				'trolley' => array(
+				'url' => '%s/images/headers/trolley.jpg',
+				'thumbnail_url' => '%s/images/headers/trolley-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Trolley', 'twentyeleven' ),
+				),
+				'pine-cone' => array(
+				'url' => '%s/images/headers/pine-cone.jpg',
+				'thumbnail_url' => '%s/images/headers/pine-cone-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Pine Cone', 'twentyeleven' ),
+				),
+				'chessboard' => array(
+				'url' => '%s/images/headers/chessboard.jpg',
+				'thumbnail_url' => '%s/images/headers/chessboard-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Chessboard', 'twentyeleven' ),
+				),
+				'lanterns' => array(
+				'url' => '%s/images/headers/lanterns.jpg',
+				'thumbnail_url' => '%s/images/headers/lanterns-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Lanterns', 'twentyeleven' ),
+				),
+				'willow' => array(
+				'url' => '%s/images/headers/willow.jpg',
+				'thumbnail_url' => '%s/images/headers/willow-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Willow', 'twentyeleven' ),
+				),
+				'hanoi' => array(
+				'url' => '%s/images/headers/hanoi.jpg',
+				'thumbnail_url' => '%s/images/headers/hanoi-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Hanoi Plant', 'twentyeleven' ),
+				),
+			) );
+
+			// Indicate widget sidebars can use selective refresh in the Customizer.
+			add_theme_support( 'customize-selective-refresh-widgets' );
+	}
 endif; // twentyeleven_setup
 
 if ( ! function_exists( 'twentyeleven_header_style' ) ) :
-/**
+	/**
  * Styles the header image and text displayed on the blog.
  *
  * @since Twenty Eleven 1.0
  */
-function twentyeleven_header_style() {
-	$text_color = get_header_textcolor();
+	function twentyeleven_header_style() {
+		$text_color = get_header_textcolor();
 
-	// If no custom options for text are set, let's bail.
-	if ( $text_color == HEADER_TEXTCOLOR )
-		return;
+		// If no custom options for text are set, let's bail.
+		if ( $text_color == HEADER_TEXTCOLOR ) {
+			return;
+		}
 
-	// If we get this far, we have custom styles. Let's do this.
-	?>
-	<style type="text/css" id="twentyeleven-header-css">
-	<?php
+		// If we get this far, we have custom styles. Let's do this.
+		?>
+		<style type="text/css" id="twentyeleven-header-css">
+		<?php
 		// Has the text been hidden?
 		if ( 'blank' == $text_color ) :
 	?>
@@ -269,48 +271,48 @@
 	<?php endif; ?>
 	</style>
 	<?php
-}
+	}
 endif; // twentyeleven_header_style
 
 if ( ! function_exists( 'twentyeleven_admin_header_style' ) ) :
-/**
+	/**
  * Styles the header image displayed on the Appearance > Header admin panel.
  *
  * Referenced via add_theme_support('custom-header') in twentyeleven_setup().
  *
  * @since Twenty Eleven 1.0
  */
-function twentyeleven_admin_header_style() {
-?>
-	<style type="text/css" id="twentyeleven-admin-header-css">
-	.appearance_page_custom-header #headimg {
+	function twentyeleven_admin_header_style() {
+		?>
+		<style type="text/css" id="twentyeleven-admin-header-css">
+		.appearance_page_custom-header #headimg {
 		border: none;
-	}
-	#headimg h1,
-	#desc {
+		}
+		#headimg h1,
+		#desc {
 		font-family: "Helvetica Neue", Arial, Helvetica, "Nimbus Sans L", sans-serif;
-	}
-	#headimg h1 {
+		}
+		#headimg h1 {
 		margin: 0;
-	}
-	#headimg h1 a {
+		}
+		#headimg h1 a {
 		font-size: 32px;
 		line-height: 36px;
 		text-decoration: none;
-	}
-	#desc {
+		}
+		#desc {
 		font-size: 14px;
 		line-height: 23px;
 		padding: 0 0 3em;
-	}
-	<?php
+		}
+		<?php
 		// If the user has set a custom color for the text use that
 		if ( get_header_textcolor() != HEADER_TEXTCOLOR ) :
 	?>
-		#site-title a,
-		#site-description {
-			color: #<?php echo get_header_textcolor(); ?>;
-		}
+	#site-title a,
+	#site-description {
+		color: #<?php echo get_header_textcolor(); ?>;
+	}
 	<?php endif; ?>
 	#headimg img {
 		max-width: 1000px;
@@ -318,35 +320,36 @@
 		width: 100%;
 	}
 	</style>
-<?php
-}
+	<?php
+	}
 endif; // twentyeleven_admin_header_style
 
 if ( ! function_exists( 'twentyeleven_admin_header_image' ) ) :
-/**
+	/**
  * Custom header image markup displayed on the Appearance > Header admin panel.
  *
  * Referenced via add_theme_support('custom-header') in twentyeleven_setup().
  *
  * @since Twenty Eleven 1.0
  */
-function twentyeleven_admin_header_image() { ?>
-	<div id="headimg">
-		<?php
-		$color = get_header_textcolor();
-		$image = get_header_image();
-		$style = 'display: none;';
-		if ( $color && $color != 'blank' ) {
-			$style = 'color: #' . $color . ';';
-		}
-		?>
-		<h1 class="displaying-header-text"><a id="name" style="<?php echo esc_attr( $style ); ?>" onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>" tabindex="-1"><?php bloginfo( 'name' ); ?></a></h1>
-		<div id="desc" class="displaying-header-text" style="<?php echo esc_attr( $style ); ?>"><?php bloginfo( 'description' ); ?></div>
-  		<?php if ( $image ) : ?>
+	function twentyeleven_admin_header_image() {
+	?>
+			<div id="headimg">
+				<?php
+				$color = get_header_textcolor();
+				$image = get_header_image();
+				$style = 'display: none;';
+				if ( $color && $color != 'blank' ) {
+					$style = 'color: #' . $color . ';';
+				}
+				?>
+				<h1 class="displaying-header-text"><a id="name" style="<?php echo esc_attr( $style ); ?>" onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>" tabindex="-1"><?php bloginfo( 'name' ); ?></a></h1>
+			<div id="desc" class="displaying-header-text" style="<?php echo esc_attr( $style ); ?>"><?php bloginfo( 'description' ); ?></div>
+			<?php if ( $image ) : ?>
 			<img src="<?php echo esc_url( $image ); ?>" alt="" />
 		<?php endif; ?>
-	</div>
-<?php }
+			</div>
+		<?php }
 endif; // twentyeleven_admin_header_image
 
 /**
@@ -367,16 +370,16 @@
 add_filter( 'excerpt_length', 'twentyeleven_excerpt_length' );
 
 if ( ! function_exists( 'twentyeleven_continue_reading_link' ) ) :
-/**
+	/**
  * Return a "Continue Reading" link for excerpts
  *
  * @since Twenty Eleven 1.0
  *
  * @return string The "Continue Reading" HTML link.
  */
-function twentyeleven_continue_reading_link() {
-	return ' <a href="'. esc_url( get_permalink() ) . '">' . __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) . '</a>';
-}
+	function twentyeleven_continue_reading_link() {
+		return ' <a href="' . esc_url( get_permalink() ) . '">' . __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) . '</a>';
+	}
 endif; // twentyeleven_continue_reading_link
 
 /**
@@ -428,8 +431,9 @@
  * @return array The filtered page menu arguments.
  */
 function twentyeleven_page_menu_args( $args ) {
-	if ( ! isset( $args['show_home'] ) )
+	if ( ! isset( $args['show_home'] ) ) {
 		$args['show_home'] = true;
+	}
 	return $args;
 }
 add_filter( 'wp_page_menu_args', 'twentyeleven_page_menu_args' );
@@ -497,24 +501,24 @@
 add_action( 'widgets_init', 'twentyeleven_widgets_init' );
 
 if ( ! function_exists( 'twentyeleven_content_nav' ) ) :
-/**
+	/**
  * Display navigation to next/previous pages when applicable.
  *
  * @since Twenty Eleven 1.0
  *
  * @param string $html_id The HTML id attribute.
  */
-function twentyeleven_content_nav( $html_id ) {
-	global $wp_query;
+	function twentyeleven_content_nav( $html_id ) {
+		global $wp_query;
 
-	if ( $wp_query->max_num_pages > 1 ) : ?>
-		<nav id="<?php echo esc_attr( $html_id ); ?>">
-			<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentyeleven' ); ?></h3>
-			<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentyeleven' ) ); ?></div>
-			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></div>
-		</nav><!-- #nav-above -->
-	<?php endif;
-}
+		if ( $wp_query->max_num_pages > 1 ) : ?>
+			<nav id="<?php echo esc_attr( $html_id ); ?>">
+				<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentyeleven' ); ?></h3>
+				<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentyeleven' ) ); ?></div>
+				<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></div>
+			</nav><!-- #nav-above -->
+		<?php endif;
+	}
 endif; // twentyeleven_content_nav
 
 /**
@@ -531,8 +535,9 @@
 	$content = get_the_content();
 	$has_url = function_exists( 'get_url_in_content' ) ? get_url_in_content( $content ) : false;
 
-	if ( ! $has_url )
+	if ( ! $has_url ) {
 		$has_url = twentyeleven_url_grabber();
+	}
 
 	/** This filter is documented in wp-includes/link-template.php */
 	return ( $has_url ) ? $has_url : apply_filters( 'the_permalink', get_permalink() );
@@ -546,8 +551,9 @@
  * @return string|bool URL or false when no link is present.
  */
 function twentyeleven_url_grabber() {
-	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches ) )
+	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches ) ) {
 		return false;
+	}
 
 	return esc_url_raw( $matches[1] );
 }
@@ -560,14 +566,17 @@
 function twentyeleven_footer_sidebar_class() {
 	$count = 0;
 
-	if ( is_active_sidebar( 'sidebar-3' ) )
+	if ( is_active_sidebar( 'sidebar-3' ) ) {
 		$count++;
+	}
 
-	if ( is_active_sidebar( 'sidebar-4' ) )
+	if ( is_active_sidebar( 'sidebar-4' ) ) {
 		$count++;
+	}
 
-	if ( is_active_sidebar( 'sidebar-5' ) )
+	if ( is_active_sidebar( 'sidebar-5' ) ) {
 		$count++;
+	}
 
 	$class = '';
 
@@ -583,12 +592,13 @@
 			break;
 	}
 
-	if ( $class )
+	if ( $class ) {
 		echo 'class="' . esc_attr( $class ) . '"';
+	}
 }
 
 if ( ! function_exists( 'twentyeleven_comment' ) ) :
-/**
+	/**
  * Template for comments and pingbacks.
  *
  * To override this walker in a child theme without modifying the comments template
@@ -602,26 +612,27 @@
  * @param array  $args    An array of comment arguments. @see get_comment_reply_link()
  * @param int    $depth   The depth of the comment.
  */
-function twentyeleven_comment( $comment, $args, $depth ) {
-	$GLOBALS['comment'] = $comment;
-	switch ( $comment->comment_type ) :
-		case 'pingback' :
-		case 'trackback' :
-	?>
-	<li class="post pingback">
+	function twentyeleven_comment( $comment, $args, $depth ) {
+		$GLOBALS['comment'] = $comment;
+		switch ( $comment->comment_type ) :
+			case 'pingback' :
+			case 'trackback' :
+		?>
+		<li class="post pingback">
 		<p><?php _e( 'Pingback:', 'twentyeleven' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?></p>
 	<?php
 			break;
-		default :
-	?>
-	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
+			default :
+		?>
+		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
 		<article id="comment-<?php comment_ID(); ?>" class="comment">
 			<footer class="comment-meta">
 				<div class="comment-author vcard">
 					<?php
 						$avatar_size = 68;
-						if ( '0' != $comment->comment_parent )
-							$avatar_size = 39;
+					if ( '0' != $comment->comment_parent ) {
+						$avatar_size = 39;
+					}
 
 						echo get_avatar( $comment, $avatar_size );
 
@@ -635,50 +646,54 @@
 								sprintf( __( '%1$s at %2$s', 'twentyeleven' ), get_comment_date(), get_comment_time() )
 							)
 						);
-					?>
+						?>
 
-					<?php edit_comment_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
-				</div><!-- .comment-author .vcard -->
+						<?php edit_comment_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
+					</div><!-- .comment-author .vcard -->
 
-				<?php if ( $comment->comment_approved == '0' ) : ?>
+					<?php if ( $comment->comment_approved == '0' ) : ?>
 					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'twentyeleven' ); ?></em>
 					<br />
 				<?php endif; ?>
 
-			</footer>
+				</footer>
 
-			<div class="comment-content"><?php comment_text(); ?></div>
+				<div class="comment-content"><?php comment_text(); ?></div>
 
-			<div class="reply">
-				<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply <span>&darr;</span>', 'twentyeleven' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
-			</div><!-- .reply -->
-		</article><!-- #comment-## -->
+				<div class="reply">
+					<?php comment_reply_link( array_merge( $args, array(
+						'reply_text' => __( 'Reply <span>&darr;</span>', 'twentyeleven' ),
+						'depth' => $depth,
+						'max_depth' => $args['max_depth'],
+					) ) ); ?>
+				</div><!-- .reply -->
+			</article><!-- #comment-## -->
 
-	<?php
+		<?php
 			break;
-	endswitch;
-}
+			endswitch;
+	}
 endif; // ends check for twentyeleven_comment()
 
 if ( ! function_exists( 'twentyeleven_posted_on' ) ) :
-/**
+	/**
  * Print HTML with meta information for the current post-date/time and author.
  *
  * Create your own twentyeleven_posted_on to override in a child theme
  *
  * @since Twenty Eleven 1.0
  */
-function twentyeleven_posted_on() {
-	printf( __( '<span class="sep">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a><span class="by-author"> <span class="sep"> by </span> <span class="author vcard"><a class="url fn n" href="%5$s" title="%6$s" rel="author">%7$s</a></span></span>', 'twentyeleven' ),
-		esc_url( get_permalink() ),
-		esc_attr( get_the_time() ),
-		esc_attr( get_the_date( 'c' ) ),
-		esc_html( get_the_date() ),
-		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
-		esc_attr( sprintf( __( 'View all posts by %s', 'twentyeleven' ), get_the_author() ) ),
-		get_the_author()
-	);
-}
+	function twentyeleven_posted_on() {
+		printf( __( '<span class="sep">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a><span class="by-author"> <span class="sep"> by </span> <span class="author vcard"><a class="url fn n" href="%5$s" title="%6$s" rel="author">%7$s</a></span></span>', 'twentyeleven' ),
+			esc_url( get_permalink() ),
+			esc_attr( get_the_time() ),
+			esc_attr( get_the_date( 'c' ) ),
+			esc_html( get_the_date() ),
+			esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
+			esc_attr( sprintf( __( 'View all posts by %s', 'twentyeleven' ), get_the_author() ) ),
+			get_the_author()
+		);
+	}
 endif;
 
 /**
@@ -694,11 +709,13 @@
  */
 function twentyeleven_body_classes( $classes ) {
 
-	if ( function_exists( 'is_multi_author' ) && ! is_multi_author() )
+	if ( function_exists( 'is_multi_author' ) && ! is_multi_author() ) {
 		$classes[] = 'single-author';
+	}
 
-	if ( is_singular() && ! is_home() && ! is_page_template( 'showcase.php' ) && ! is_page_template( 'sidebar-page.php' ) )
+	if ( is_singular() && ! is_home() && ! is_page_template( 'showcase.php' ) && ! is_page_template( 'sidebar-page.php' ) ) {
 		$classes[] = 'singular';
+	}
 
 	return $classes;
 }
@@ -719,14 +736,16 @@
 
 	if ( function_exists( 'get_post_galleries' ) ) {
 		$galleries = get_post_galleries( get_the_ID(), false );
-		if ( isset( $galleries[0]['ids'] ) )
+		if ( isset( $galleries[0]['ids'] ) ) {
 			$images = explode( ',', $galleries[0]['ids'] );
+		}
 	} else {
 		$pattern = get_shortcode_regex();
 		preg_match( "/$pattern/s", get_the_content(), $match );
 		$atts = shortcode_parse_atts( $match[3] );
-		if ( isset( $atts['ids'] ) )
+		if ( isset( $atts['ids'] ) ) {
 			$images = explode( ',', $atts['ids'] );
+		}
 	}
 
 	if ( ! $images ) {
